// KeckControllerDlg.h : header file
//

#include <olmem.h>         
#include <olerrors.h>         
#include <oldaapi.h>

#if !defined(AFX_KECKCONTROLLERDLG_H__B4E180E1_9153_11D2_9160_00C04F79E903__INCLUDED_)
#define AFX_KECKCONTROLLERDLG_H__B4E180E1_9153_11D2_9160_00C04F79E903__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CKeckControllerDlg dialog

class CKeckControllerDlg : public CDialog
{
// Construction
public:
	void setupCameraList();
	CKeckControllerDlg(CWnd* pParent = NULL);	// standard constructor
	void AddMessage(char *fmt, ...);

	HDEV hdrvr;
	ECODE status;
	HDASS ct_ss;
	HDASS ct_ss2;
	CString boardEntry;
	CString boardName;

// Dialog Data
	//{{AFX_DATA(CKeckControllerDlg)
	enum { IDD = IDD_KECKCONTROLLER_DIALOG };
	CButton	m_capture;
	CListBox	m_messages;
	CCheckListBox	m_cameras;
	int		m_frameRate;
	int		m_numFramesToCapture;
	BOOL	m_pauseBeforeCapture;
	int		m_pauseTime;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKeckControllerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CKeckControllerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCapture();
	afx_msg void OnDestroy();
	afx_msg void OnSave();
	afx_msg void OnDisplay();
	afx_msg void OnPlay();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KECKCONTROLLERDLG_H__B4E180E1_9153_11D2_9160_00C04F79E903__INCLUDED_)
